scoreline_i
Prev | Orchestra Opcodes and Operators | Next

## scoreline_i

scoreline_i — Issues one or more score line events from an instrument at i-time.

## Description

scoreline_i will issue score events at i-time. It can handle strings in the same conditions as the standard score. Multi-line strings are accepted, using {{ }} to enclose the string.

## Syntax

    scoreline_i Sin

## Initialization

“Sin” -- a string (in double-quotes or enclosed by {{ }}) containing one or more score events.

## Examples

Here is an example of the scoreline_i opcode. It uses the file scoreline_i.csd.

Example 860. Example of the scoreline_i opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -odac --old-parser   ;;;realtime audio out
    ;-iadc    ;;;uncomment -iadc if realtime audio input is needed too
    ; For Non-realtime ouput leave only the line below:
    ; -o scoreline.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    sr = 44100
    ksmps = 32
    nchnls = 2
    0dbfs  = 1

    instr 1

    scoreline_i {{
                i 2  0  3  "flute.aiff"
                i 2  1  3  "beats.wav"
                }}

    endin

    instr 2

    asig soundin p4
         outs asig*.8, asig*.8

    endin
    </CsInstruments>
    <CsScore>

    i1 0 1
    e
    </CsScore>
    </CsoundSynthesizer>

## See also

event, event_i, schedule, schedwhen, schedkwhen, schedkwhennamed, scoreline

More information on this opcode: http://www.csoundjournal.com/issue15/phrase_loops.html , written by Jim Aikin

And in the Floss Manuals: http://en.flossmanuals.net/csound/ch020_e-triggering-instrument-events/.

## Credits

Author: Victor Lazzarini, 2007

Prev | Up | Next
scoreline | Home | sc_lag